Google Calendar Delete

From docs
Jump to: navigation, search

Mobile_API »Remove Calendar Sync

Base URL

https://apimobile.callproof.com

Endpoint

/api/calendar/calendar-remove/

Purpose

Disconnects the authenticated user’s synced calendar account. For Google or Microsoft Office, this removes stored calendar access/refresh tokens and clears the linked calendar follow-up selection.

HTTP Method

DELETE

Headers

Header Required Description
Authorization Yes Bearer access token

Security

  • Yes – Requires Bearer Token authentication.

Parameters

Path Parameters

None.

Query Parameters / Request Body

Parameter Type Required Description
provider string Yes Calendar provider to disconnect. Supported values: google, office

cURL Example for Android

 curl --location --request DELETE 'https://apimobile.callproof.com/api/calendar/calendar-remove/?provider=google' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' 

cURL Example for iOS

 curl --location --request DELETE 'https://apimobile.callproof.com/api/calendar/calendar-remove/?provider=google' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' 

Successful Response (200)

Indicates that the calendar account was removed successfully.

Field Type Description
clientStatusCode integer Status indicator for the client (for example, 200)
user_id integer Identifier of the authenticated user
company_id integer Identifier of the authenticated user’s company
message string Confirmation message (for example, "Account removed successfully.")
uri string Requested resource URI

Error Responses

Status Code Meaning
400 Bad Request – calendar sync could not be removed
401 Unauthorized – missing, invalid, or expired Bearer token
  • 400 – Invalid provider ("Invalid Calendar Provider"), or removal failed (for example, "Error while Removing in Google Calendar").
  • 401 – Authentication failed or the access token is missing/expired.